Skip to main content
`Ctrl`+`K`

# TSComputeTransientVariable

transforms state (primitive) variables to transient (conservative) variables

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeTransientVariable(TS ts, Vec U, Vec C)

Logically Collective

## Input Parameters

- ts - TS on which to compute

- U - state vector to be transformed to transient variables

## Output Parameter

- C - transient (conservative) variable

## Developer Notes

If `DMTSSetTransientVariable()` has not been called, then C is not modified in this routine and C = `NULL` is allowed. This makes it safe to call without a guard. One can use `TSHasTransientVariable()` to check if transient variables are being used.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSBDF`, `DMTSSetTransientVariable()`, `TSComputeIFunction()`, `TSComputeIJacobian()`

## Level

developer

## Location

src/ts/interface/ts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages